%global pkgname Flask-XML-RPC
%global modname Flask_XML_RPC

Name:               python-flask-xml-rpc
Version:            0.1.2
Release:            2%{?dist}
Summary:            Adds support for creating XML-RPC APIs to Flask

Group:              Development/Libraries
License:            MIT
URL:                http://pypi.python.org/pypi/Flask-XML-RPC
Source0:            http://pypi.python.org/packages/source/F/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-flask
BuildRequires:      python-nose
Requires:           python-flask


%description
Flask-XML-RPC adds XML-RPC support to Flask.
This way, you can provide simple APIs easily accessible from almost any
programming language.


documentation:
  http://packages.python.org/Flask-XML-RPC
development version:
  http://bitbucket.org/leafstorm/flask-xml-rpc/get/tip.gz#egg=Flask-XML-RPC-dev


%prep
%setup -q -n %{pkgname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{pkgname}.egg-info


%build
%{__python2} setup.py build


%install

%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python2} setup.py test


%files
%doc README 
# See https://bitbucket.org/leafstorm/flask-xml-rpc/pull-request/1/
#LICENSE
%dir %{python2_sitelib}/flaskext/
%{python2_sitelib}/flaskext/xmlrpc.py*
%{python2_sitelib}/%{modname}-%{version}*


%changelog
* Thu Aug 21 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1.2-2
- Include %%{python2_sitelib}/flaskext/ in the file list
- Rename the spec file to all lower case
- Add comment about the missing LICENSE file

* Tue Aug 19 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1.2-1
- initial package for Fedora
